%define _requires_exceptions libdbusmenu-qt5.so.2()(64bit)

Name: lxqt-panel
Version: 0.12.0
Release: %mkrel 2
Source0: http://downloads.lxqt.org/lxqt/%{version}/%{name}-%{version}.tar.xz
Source1: panel.conf
Source2: lxqt-applications.menu
Summary: Panel for the LXQt desktop
URL: http://lxqt.org/
License: LGPLv2+
Group: Graphical desktop/LXQT
#---------------------------------------------
BuildRequires:  cmake
BuildRequires: %{_lib}alsa2-devel
BuildRequires: %{_lib}menu-cache-devel
BuildRequires: %{_lib}lm_sensors4-devel
BuildRequires: %{_lib}pulseaudio-devel
BuildRequires: %{_lib}sysstat-devel
BuildRequires: %{_lib}statgrab-devel
BuildRequires: %{_lib}qt5help-devel
BuildRequires: %{_lib}lxqt-globalkeys-devel >= 0.12.0
BuildRequires: %{_lib}lxqt-devel >= 0.12.0
BuildRequires: lxqt-build-tools >= 0.4.0
BuildRequires: %{_lib}icu-devel
BuildRequires: %{_lib}xrender-devel
BuildRequires: %{_lib}xkbcommon-devel
BuildRequires: %{_lib}xcomposite-devel
BuildRequires: %{_lib}xcb-util-devel
BuildRequires: %{_lib}kf5solid-devel
BuildRequires: %{_lib}dbusmenuqt5-devel
#Requires: lxqt-common
Requires: %{_lib}dbusmenuqt52
Obsoletes:	lib64lxqt-mount0

%description
Panel for the LXQt desktop

%prep
%setup -q %{name}-%{version}

export CXXFLAGS="%{optflags} -I/usr/include/dbusmenu-qt5"
%cmake_qt5 -DPULL_TRANSLATIONS=No

%build
%make -C build

%install
rm -rf %buildroot
%makeinstall_std -C build

install -m 0644 %{SOURCE1} %{buildroot}/%{_sysconfdir}/xdg/lxqt/panel.conf
install -m 0644 %SOURCE2 %{buildroot}%{_sysconfdir}/xdg/menus/lxqt-applications.menu
#not needed
rm -rf %buildroot/%{_includedir}/lxqt

%files
%{_sysconfdir}/xdg/lxqt/panel.conf
%{_sysconfdir}/xdg/autostart/lxqt-panel.desktop
%{_sysconfdir}/xdg/menus/lxqt-applications.menu
%{_bindir}/%{name}
%{_datadir}/lxqt/%{name}
%{_datadir}/desktop-directories/lxqt-leave.directory
%{_datadir}/desktop-directories/lxqt-settings.directory
%{_libdir}/%{name}
%{_mandir}/man1/lxqt-panel.1.bz2



%changelog
* Sun Oct 29 2017 daniel <meisssw01 at gmail.com> 0.12.0-2pclos2017
- add screensaver button to menu

* Tue Oct 24 2017 daniel <meisssw01 at gmail.com> 0.12.0-1pclos2017
- update

* Sat Jul 01 2017 daniel <meisssw01 at gmail.com> 0.11.1-2pclos2017
- rebuild with latest qt5 libaries 

* Mon Jan 02 2017 daniel <meisssw01 at gmail.com> 0.11.1-1pclos2017
- update

* Mon Sep 26 2016 ghostbunny <ghostbunny at gmx dot de> 0.11.0-1pclos2016
- 0.11.0

* Sun Feb 28 2016 daniel <meisssw01 at gmail.com> 0.10.0-4pclos2016
- rebuild for 32bit

* Sat Dec 12 2015 bb ,bb> 0.10.0-3pclos2015
- adjust build option /usr/include/dbusmenu-qt5

* Wed Nov 11 2015 bb <bb> 0.10.0-2pclos2015
- fix volume on default panel

* Tue Nov 10 2015 bb <bb> 0.10.0-1pclos2015
- import into pclos
